Altibase.jdbc.driver

## Class AltibaseXADataSource

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AltibaseDataSource
    - - Altibase.jdbc.driver.AltibaseXADataSource

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource, javax.sql.XADataSource

    public class AltibaseXADataSource
    extends AltibaseDataSource
    implements javax.sql.XADataSource

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseDataSource

`mLogWriter, mProperties`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseXADataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.sql.XAConnection` `getXAConnection()`
`javax.sql.XAConnection` `getXAConnection(java.lang.String aUser, java.lang.String aPassword)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseDataSource

`getConnection, getConnection, getDatabaseName, getDataSource, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getPortNumber, getProperty, getReference, getServerName, getUser, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setPortNumber, setProperty, setServerName, setURL, setUser`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AltibaseXADataSource

    public AltibaseXADataSource()

### Method Detail

#### getXAConnection

    public javax.sql.XAConnection getXAConnection()
                                           throws java.sql.SQLException

Specified by:
  `getXAConnection` in interface `javax.sql.XADataSource`
Throws:
  `java.sql.SQLException`

#### getXAConnection

    public javax.sql.XAConnection getXAConnection(java.lang.String aUser,
                                                  java.lang.String aPassword)
                                           throws java.sql.SQLException

Specified by:
  `getXAConnection` in interface `javax.sql.XADataSource`
Throws:
  `java.sql.SQLException`